# Troubleshooting

サービス使用中に発生する可能性のある問題とその解決方法について説明します。

## 1. チャンネル作成時に「アドレスが確認できません。」 <a href="#id-1" id="id-1"></a>

当該エラーは link\_url入力時に当該アドレスが基本アドレスシステム(URL)ではない場合に発生します。アドレスを入力しないか、有効なアドレスを入力します。

## 2. 画像がアップロードできません。 <a href="#id-2" id="id-2"></a>

セキュリティ強化のために許可されたタイプでなければアップロードできません。

**ダッシュボード > 設定 > 画像アップロード許可タイプ**から image/webp、image/heic、image/heic-sequence、image/heif、image/heif-sequence、image/svg+xml、image/bmp、image/gif、image/jpeg、image/pngのように許可する MIME TYPEを入力します。

オブジェクトストレージが有効になっている必要があります。

* [Object Storage](https://www.ncloud.com/product/storage/objectStorage)商品と連携すると使用できます。

## 3. すべてのメッセージを受信します。 <a href="#id-3" id="id-3"></a>

複数のチャンネルに参加している場合に、そのチャンネルからのすべてのメッセージを受信します。\
channelIdから区分できます。

```javascript
nc.bind('onMessageReceived',function(channel, message) {
// 複数のチャンネルに参加している場合に、すべてのチャンネルからのメッセージを受信します。
// channelから顧客に表示するチャンネルを区分します。
if(channel == current_channel) {
console.log(message);
}
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v3/game-chat-ri-ben-yu/v3nowo/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
